import { createSignal } from "solid-js";

const [getAuth] = (() => {
  let isAuthenticated = false;
  let user: { name: string; email: string } | null = null;

  return [
    () => ({
      isAuthenticated,
      user,
      signIn: () => {},
      signOut: () => {},
    }),
  ];
})();

export function useAuth() {
  return getAuth();
}
